Subject: RE: [Ospf-wireless-design] Design team outbrief (draft slides) posted

From: "Spagnolo, Phillip A" <[email-masked]>
Date: Mon, 7 Nov 2005 12:58:28 -0800

Emmanuel,

One of the benefits to OSPF-MDR is exactly what you point out.  OSPF-MDR
is not derived from the point-to-multipoint interface only (which does
not route over non-adjacent links), but it is also derived from the
broadcast interface (which routes over non-adjacent links).  

For example, picture a broadcast network with nodes 1 to 5.  Node 1 is
the DR and node 2 is the BDR.  Node 3 wants to send a packet to node 5.
Node 3 does not send to node 1 and then to node 5.  Node 3 sends
directly to node 5.  Thus, it is routing over a non-adjacent link
because node 3 and 5 are adjacent to the DR.

The same is true with OSPF-MDR as long as a node is adjacent to the MDR
backbone then it can route to other nodes adjacent to the MDR backbone.

I find this as part of the beauty of the design.

Sincerely,
Phil

> -----Original Message-----
> From: Emmanuel Baccelli [mailto:[email-masked]] 
> Sent: Monday, November 07, 2005 9:45 AM
> To: [email-masked]
> Subject: Re: [Ospf-wireless-design] Design team outbrief 
> (draft slides) posted
> 
> 
> I think there is something rather confusing in the latest 
> discussions: 
> the use of the term adjacency, especially when compared to its 
> traditional meaning in OSPF. For example, some simulation 
> results tend 
> to show that the MDR approach features a reduced number of 
> adjacencies 
> without featuring any route stretching -- if "min-hop" LSAs a used.  
> However, this supposes that routing is not only done over adjacencies 
> (indeed, if routing was only done over adjacencies, the MDR approach 
> leads to more than 50% route stretching in most cases). This is thus 
> very confusing, since in traditional OSPF routing is supposed 
> to happen 
> only over adjacencies. So there is here at least a vocabulary issue, 
> that needs to be clarified in my opinion.
> 
> Emmanuel
> 
> 
> Richard Ogier wrote:
> 
> >> Emmanuel Baccelli stated that MPR flooding offers better 
> properties 
> >> than CDS flooding, with at least as good topology reduction 
> >> capabilities, and better routing stretch performance
> >
> >
> > After further consideration, I partly agree with the above statement
> > depending on how it is interpreted.
> > The part about "better route stretch performance" is true if we are
> > talking only about *flooding* and not *routing* (since routing can
> > occur along non-adjacencies).  Min-hop routing can be 
> achieved either
> > with MPRs or with the min-cost LSAs described in the MDR draft.
> >
> > The part about "good topology reduction capabilities" depends on how
> > adjacencies are defined. (By topology reduction I am talking about
> > adjacencies, keeping in mind that LSAs can also include non-adjacent
> > neighbors.) In our simulations, Phil and I showed that this
> > is certainly not true if each node forms an adjacency with each of
> > its MPRs and MPR selectors, and Emmanuel has agreed with this:
> >
> >> On the other hand using
> >> MPR/MPRselector adjacencies does yield more adjacencies,
> >> but no route stretching whatsoever.
> >
> >
> >
> > If adjacencies are defined in another way, then the method needs
> > to be specified. One possible way (which I plan to investigate by
> > modifying OSPF-MDR) is to select the CDS/MDRs by pruning MPRs
> > and then defining adjacencies as in the MDR draft, but Emmanuel
> > did not specify such a method.
> >
> > Richard
> >
> >
> >
> >
> > _______________________________________________
> > Ospf-wireless-design mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ospf-wireless-design
> >
> >
> 
> 
> _______________________________________________
> Ospf-wireless-design mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ospf-wireless-design
> 

_______________________________________________
Ospf-wireless-design mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-wireless-design